# Uses of Class
org.eclipse.ui.navigator.Priority

Packages that use Priority
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of Priority in org.eclipse.ui.navigator

Fields in org.eclipse.ui.navigator declared as Priority
Modifier and Type
Field
Description
`static final Priority[]`
Priority.`ENUM_ARRAY`
The ordered array of possible enumeration values (0=> Highest, length-1=>Lowest)
`static final Priority`
Priority.`HIGH`
Indicates High priority as a Priority enumeration.
`static final Priority`
Priority.`HIGHER`
Indicates Higher priority as a Priority enumeration.
`static final Priority`
Priority.`HIGHEST`
Indicates Highest priority as a Priority enumeration.
`static final Priority`
Priority.`LOW`
Indicates Low priority as a Priority enumeration.
`static final Priority`
Priority.`LOWER`
Indicates Lower priority as a Priority enumeration.
`static final Priority`
Priority.`LOWEST`
Indicates Lowest priority as a Priority enumeration.
`static final Priority`
Priority.`NORMAL`
Indicates Normal priority as a Priority enumeration.
Methods in org.eclipse.ui.navigator that return Priority
Modifier and Type
Method
Description
`static Priority`
Priority.`get(int aValue)`
Returns the correct instance of the Priority ENUM for aValue.
`static Priority`
Priority.`get(String aLiteral)`
Returns the correct instance of the Priority ENUM for aLiteral.